diff --git a/ldap/servers/slapd/back-ldbm/seq.c b/ldap/servers/slapd/back-ldbm/seq.c
index 1cc7d19..faed008 100644
--- a/ldap/servers/slapd/back-ldbm/seq.c
+++ b/ldap/servers/slapd/back-ldbm/seq.c
@@ -87,11 +87,11 @@ ldbm_back_seq( Slapi_PBlock *pb )
 	/* get a database */
 
 	ainfo_get( be, attrname, &ai );
-	LDAPDebug( LDAP_DEBUG_ARGS,
+	LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG,
 	    "   seq: indextype: %s indexmask: 0x%x seek type: %d\n",
 	    ai->ai_type, ai->ai_indexmask, type );
 	if ( ! (INDEX_EQUALITY & ai->ai_indexmask) ) {
-		LDAPDebug( LDAP_DEBUG_TRACE,
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 		    "seq: caller specified un-indexed attribute %s\n",
 			   attrname ? attrname : "", 0, 0 );
 		slapi_send_ldap_result( pb, LDAP_UNWILLING_TO_PERFORM, NULL,
@@ -100,7 +100,7 @@ ldbm_back_seq( Slapi_PBlock *pb )
 	}
 
 	if ( (return_value = dblayer_get_index_file( be, ai, &db, DBOPEN_CREATE )) != 0 ) {
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		    "<= ldbm_back_seq NULL (could not open index file for attribute %s)\n",
 		    attrname, 0, 0 );
 		slapi_send_ldap_result( pb, LDAP_OPERATIONS_ERROR, NULL, NULL, 0, NULL );
@@ -275,9 +275,9 @@ retry:
 		    {
 				if ( err != LDAP_SUCCESS )
 				{
-				    LDAPDebug( LDAP_DEBUG_ANY, "seq id2entry err %d\n", err, 0, 0 );
+				    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "seq id2entry err %d\n", err, 0, 0 );
 				}
-				LDAPDebug( LDAP_DEBUG_ARGS,
+				LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG,
 					"ldbm_back_seq: candidate %lu not found\n",
 					(u_long)id, 0, 0 );
 				continue;
diff --git a/ldap/servers/slapd/back-ldbm/sort.c b/ldap/servers/slapd/back-ldbm/sort.c
index 3cd587b..e3ebe07 100644
--- a/ldap/servers/slapd/back-ldbm/sort.c
+++ b/ldap/servers/slapd/back-ldbm/sort.c
@@ -150,7 +150,7 @@ int sort_candidates(backend *be,int lookthrough_limit,time_t time_up, Slapi_PBlo
 	}
 	/* we refuse to sort a candidate list which is vast */
 	if (ALLIDS(candidates)) {
-		LDAPDebug( LDAP_DEBUG_TRACE, "Asked to sort ALLIDS candidate list, refusing\n",0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "Asked to sort ALLIDS candidate list, refusing\n",0, 0, 0 );
 		return LDAP_UNWILLING_TO_PERFORM;
 	}
 
@@ -160,7 +160,7 @@ int sort_candidates(backend *be,int lookthrough_limit,time_t time_up, Slapi_PBlo
 			int return_value = 0;
 			return_value = attr_get_value_cmp_fn( &this_s->sattr, &(this_s->compare_fn) );
 			if (return_value  != 0 ) {
-				LDAPDebug( LDAP_DEBUG_TRACE, "Attempting to sort a non-ordered attribute (%s)\n",this_s->type, 0, 0 );
+				LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "Attempting to sort a non-ordered attribute (%s)\n",this_s->type, 0, 0 );
 				/* DBDB we should set the error type here */
 				return_value = LDAP_UNWILLING_TO_PERFORM;
 				*sort_error_type = this_s->type;
@@ -189,7 +189,7 @@ int sort_candidates(backend *be,int lookthrough_limit,time_t time_up, Slapi_PBlo
 	bc.check_counter = 1;
 
 	return_value = slapd_qsort(&bc,candidates,s);
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= Sorting done\n",0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= Sorting done\n",0, 0, 0 );
 
 	return return_value;
 }
@@ -463,7 +463,7 @@ static int compare_entries_sv(ID *id_a, ID *id_b, sort_spec *s,baggage_carrier *
 	a = id2entry(be,*id_a,&txn,&err);
 	if (NULL == a) {
 		if (0 != err ) {
-			LDAPDebug(LDAP_DEBUG_TRACE,"compare_entries_sv db err %d\n",err,0,0);
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"compare_entries_sv db err %d\n",err,0,0);
 		}
 		/* Were up a creek without paddle here */
 		/* Best to log error and set some flag */
@@ -472,7 +472,7 @@ static int compare_entries_sv(ID *id_a, ID *id_b, sort_spec *s,baggage_carrier *
 	b = id2entry(be,*id_b,&txn,&err);
 	if (NULL == b) {
 		if (0 != err ) {
-			LDAPDebug(LDAP_DEBUG_TRACE,"compare_entries_sv db err %d\n",err,0,0);
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,"compare_entries_sv db err %d\n",err,0,0);
 		}
 		CACHE_RETURN(&inst->inst_cache,&a);
 		return 0;
diff --git a/ldap/servers/slapd/back-ldbm/start.c b/ldap/servers/slapd/back-ldbm/start.c
index 299e5f0..99a1b53 100644
--- a/ldap/servers/slapd/back-ldbm/start.c
+++ b/ldap/servers/slapd/back-ldbm/start.c
@@ -61,13 +61,13 @@ ldbm_back_start( Slapi_PBlock *pb )
   PRUint64 memsize = pages * pagesize;
 #endif
 
-  LDAPDebug( LDAP_DEBUG_TRACE, "ldbm backend starting\n", 0, 0, 0 );
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "ldbm backend starting\n", 0, 0, 0 );
 
   slapi_pblock_get( pb, SLAPI_PLUGIN_PRIVATE, &li );
 
   /* parse the config file here */
   if (0 != ldbm_config_load_dse_info(li)) {
-      LDAPDebug( LDAP_DEBUG_ANY, "start: Loading database configuration failed\n",
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "start: Loading database configuration failed\n",
             0, 0, 0 );
       return SLAPI_FAIL_GENERAL;
   }
@@ -77,7 +77,7 @@ ldbm_back_start( Slapi_PBlock *pb )
   if ( slapi_reslimit_register( SLAPI_RESLIMIT_TYPE_INT,
             LDBM_LOOKTHROUGHLIMIT_AT, &li->li_reslimit_lookthrough_handle )
             != SLAPI_RESLIMIT_STATUS_SUCCESS ) {
-      LDAPDebug( LDAP_DEBUG_ANY, "start: Resource limit registration failed for lookthroughlimit\n",
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "start: Resource limit registration failed for lookthroughlimit\n",
             0, 0, 0 );
       return SLAPI_FAIL_GENERAL;
   }
@@ -87,7 +87,7 @@ ldbm_back_start( Slapi_PBlock *pb )
   if ( slapi_reslimit_register( SLAPI_RESLIMIT_TYPE_INT,
             LDBM_ALLIDSLIMIT_AT, &li->li_reslimit_allids_handle )
             != SLAPI_RESLIMIT_STATUS_SUCCESS ) {
-      LDAPDebug( LDAP_DEBUG_ANY, "start: Resource limit registration failed for allidslimit\n",
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "start: Resource limit registration failed for allidslimit\n",
             0, 0, 0 );
       return SLAPI_FAIL_GENERAL;
   }
@@ -97,7 +97,7 @@ ldbm_back_start( Slapi_PBlock *pb )
   if ( slapi_reslimit_register( SLAPI_RESLIMIT_TYPE_INT,
             LDBM_PAGEDLOOKTHROUGHLIMIT_AT, &li->li_reslimit_pagedlookthrough_handle )
             != SLAPI_RESLIMIT_STATUS_SUCCESS ) {
-      LDAPDebug( LDAP_DEBUG_ANY, "start: Resource limit registration failed for pagedlookthroughlimit\n",
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "start: Resource limit registration failed for pagedlookthroughlimit\n",
             0, 0, 0 );
       return SLAPI_FAIL_GENERAL;
   }
@@ -107,7 +107,7 @@ ldbm_back_start( Slapi_PBlock *pb )
   if ( slapi_reslimit_register( SLAPI_RESLIMIT_TYPE_INT,
             LDBM_PAGEDALLIDSLIMIT_AT, &li->li_reslimit_pagedallids_handle )
             != SLAPI_RESLIMIT_STATUS_SUCCESS ) {
-      LDAPDebug( LDAP_DEBUG_ANY, "start: Resource limit registration failed for pagedallidslimit\n",
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "start: Resource limit registration failed for pagedallidslimit\n",
             0, 0, 0 );
       return SLAPI_FAIL_GENERAL;
   }
@@ -116,7 +116,7 @@ ldbm_back_start( Slapi_PBlock *pb )
   if ( slapi_reslimit_register( SLAPI_RESLIMIT_TYPE_INT,
             LDBM_RANGELOOKTHROUGHLIMIT_AT, &li->li_reslimit_rangelookthrough_handle )
             != SLAPI_RESLIMIT_STATUS_SUCCESS ) {
-      LDAPDebug( LDAP_DEBUG_ANY, "start: Resource limit registration failed for rangelookthroughlimit\n",
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "start: Resource limit registration failed for rangelookthroughlimit\n",
             0, 0, 0 );
       return SLAPI_FAIL_GENERAL;
   }
@@ -138,11 +138,11 @@ ldbm_back_start( Slapi_PBlock *pb )
       (li->li_import_cache_autosize > 100) ||
       ((li->li_cache_autosize > 0) && (li->li_import_cache_autosize > 0) &&
       (li->li_cache_autosize + li->li_import_cache_autosize > 100))) {
-      LDAPDebug( LDAP_DEBUG_ANY, "cache autosizing: bad settings, "
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "cache autosizing: bad settings, "
         "value or sum of values can not larger than 100.\n", 0, 0, 0 );
   } else {
       if (util_info_sys_pages(&pagesize, &pages, &procpages, &availpages) != 0) {
-          LDAPDebug( LDAP_DEBUG_ANY, "start: Unable to determine system page limits\n",
+          LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "start: Unable to determine system page limits\n",
                 0, 0, 0 );
           return SLAPI_FAIL_GENERAL;
       }
@@ -157,25 +157,25 @@ ldbm_back_start( Slapi_PBlock *pb )
                   cache_size = (PRUint64)cache_get_max_size(&(inst->inst_cache));
                   db_size = dblayer_get_id2entry_size(inst);
                   if (cache_size < db_size) {
-                      LDAPDebug(LDAP_DEBUG_ANY,
+                      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                                 "WARNING: %s: entry cache size %llu B is "
                                 "less than db size %llu B; "
                                 "We recommend to increase the entry cache size "
                                 "nsslapd-cachememsize.\n",
                                 inst->inst_name, cache_size, db_size);
                   } else {
-                      LDAPDebug(LDAP_DEBUG_BACKLDBM,
+                      LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG,
                                 "%s: entry cache size: %llu B; db size: %llu B\n",
                                 inst->inst_name, cache_size, db_size);
                   }
                   /* Get the dn_cachesize */
                   dncache_size = (PRUint64)cache_get_max_size(&(inst->inst_dncache));
                   total_cache_size += cache_size + dncache_size;
-                  LDAPDebug(LDAP_DEBUG_BACKLDBM,
+                  LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG,
                             "total cache size: %llu B; \n",
                             total_cache_size, 0 ,0 );
               }
-              LDAPDebug(LDAP_DEBUG_BACKLDBM,
+              LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG,
                         "Total entry cache size: %llu B; "
                         "dbcache size: %llu B; "
                         "available memory size: %llu B; \n",
@@ -195,8 +195,8 @@ ldbm_back_start( Slapi_PBlock *pb )
               /* In the case it is not, this will *reduce* the allocation */
               issane = util_is_cachesize_sane(&zone_size);
               if (!issane) {
-                  LDAPDebug(LDAP_DEBUG_ANY, "Your autosized cache values have been reduced. Likely your nsslapd-cache-autosize percentage is too high.\n", 0,0,0);
-                  LDAPDebug(LDAP_DEBUG_ANY, msg, 0,0,0);
+                  LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Your autosized cache values have been reduced. Likely your nsslapd-cache-autosize percentage is too high.\n", 0,0,0);
+                  LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, msg, 0,0,0);
               }
               /* It's valid, lets divide it up and set according to user prefs */
               zone_pages = zone_size / pagesize;
@@ -205,11 +205,11 @@ ldbm_back_start( Slapi_PBlock *pb )
               /* We update this for the is-sane check below. */
               total_cache_size = (zone_pages - db_pages) * pagesize;
 
-              LDAPDebug(LDAP_DEBUG_ANY, "cache autosizing. found %dk physical memory\n",
+              LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "cache autosizing. found %dk physical memory\n",
                 pages*(pagesize/1024), 0, 0);
-              LDAPDebug(LDAP_DEBUG_ANY, "cache autosizing. found %dk avaliable\n",
+              LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "cache autosizing. found %dk avaliable\n",
                 zone_pages*(pagesize/1024), 0, 0);
-              LDAPDebug(LDAP_DEBUG_ANY, "cache autosizing: db cache: %dk, "
+              LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "cache autosizing: db cache: %dk, "
                 "each entry cache (%d total): %dk\n",
                 db_pages*(pagesize/1024), objset_size(li->li_instance_set),
                 entry_pages*(pagesize/1024));
@@ -247,11 +247,11 @@ ldbm_back_start( Slapi_PBlock *pb )
               import_size = import_pages * pagesize;
               issane = util_is_cachesize_sane(&import_size);
               if (!issane) {
-                  LDAPDebug(LDAP_DEBUG_ANY, "Your autosized import cache values have been reduced. Likely your nsslapd-import-cache-autosize percentage is too high.\n", 0,0,0);
+                  LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Your autosized import cache values have been reduced. Likely your nsslapd-import-cache-autosize percentage is too high.\n", 0,0,0);
               }
               /* We just accept the reduced allocation here. */
               import_pages = import_size / pagesize;
-              LDAPDebug(LDAP_DEBUG_ANY, "cache autosizing: import cache: %dk \n",
+              LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "cache autosizing: import cache: %dk \n",
                 import_pages*(pagesize/1024), NULL, NULL);
     
               sprintf(s, "%lu", (unsigned long)(import_pages * pagesize));
@@ -266,9 +266,9 @@ ldbm_back_start( Slapi_PBlock *pb )
   issane = util_is_cachesize_sane(&total_size);
   if (!issane) {
     /* Right, it's time to panic */
-    LDAPDebug( LDAP_DEBUG_ANY, "CRITICAL: It is highly likely your memory configuration of all backends will EXCEED your systems memory.\n", 0, 0, 0 );
-    LDAPDebug( LDAP_DEBUG_ANY, "CRITICAL: In a future release this WILL prevent server start up. You MUST alter your configuration.\n", 0, 0, 0 );
-    LDAPDebug(LDAP_DEBUG_ANY,
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "CRITICAL: It is highly likely your memory configuration of all backends will EXCEED your systems memory.\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "CRITICAL: In a future release this WILL prevent server start up. You MUST alter your configuration.\n", 0, 0, 0 );
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
               "Total entry cache size: %llu B; "
               "dbcache size: %llu B; "
               "available memory size: %llu B; \n",
@@ -278,7 +278,7 @@ ldbm_back_start( Slapi_PBlock *pb )
               (PRUint64)total_cache_size, (PRUint64)li->li_dbcachesize, memsize
 #endif
     );
-    LDAPDebug(LDAP_DEBUG_ANY, msg, 0,0,0);
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, msg, 0,0,0);
     /* WB 2016 - This should be UNCOMMENTED in a future release */
     /* return SLAPI_FAIL_GENERAL; */
   }
@@ -288,7 +288,7 @@ ldbm_back_start( Slapi_PBlock *pb )
   retval = check_db_version(li, &action);
   if (0 != retval)
   {
-      LDAPDebug( LDAP_DEBUG_ANY, "start: db version is not supported\n",
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "start: db version is not supported\n",
                  0, 0, 0);
       return SLAPI_FAIL_GENERAL;
   }
@@ -304,7 +304,7 @@ ldbm_back_start( Slapi_PBlock *pb )
   }
   if (0 != retval) {
       char *msg;
-      LDAPDebug( LDAP_DEBUG_ANY, "start: Failed to init database, err=%d %s\n",
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "start: Failed to init database, err=%d %s\n",
          retval, (msg = dblayer_strerror( retval )) ? msg : "", 0 );
       if (LDBM_OS_ERR_IS_DISKFULL(retval)) return return_on_disk_full(li);
       else return SLAPI_FAIL_GENERAL;
@@ -314,12 +314,12 @@ ldbm_back_start( Slapi_PBlock *pb )
   retval = ldbm_instance_startall(li);
   if (0 != retval) {
       char *msg;
-      LDAPDebug( LDAP_DEBUG_ANY, "start: Failed to start databases, err=%d %s\n",
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "start: Failed to start databases, err=%d %s\n",
          retval, (msg = dblayer_strerror( retval )) ? msg : "", 0 );
       if (LDBM_OS_ERR_IS_DISKFULL(retval)) return return_on_disk_full(li);
       else {
         if ((li->li_cache_autosize > 0) && (li->li_cache_autosize <= 100)) {
-          LDAPDebug( LDAP_DEBUG_ANY, "Failed to allocate %d byte dbcache.  "
+          LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Failed to allocate %d byte dbcache.  "
                    "Please reduce the value of %s and restart the server.\n",
                    li->li_dbcachesize, CONFIG_CACHE_AUTOSIZE, 0);
         }
@@ -348,7 +348,7 @@ ldbm_back_start( Slapi_PBlock *pb )
   /* initialize the USN counter */
   ldbm_usn_init(li);
 
-  LDAPDebug( LDAP_DEBUG_TRACE, "ldbm backend done starting\n", 0, 0, 0 );
+  LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "ldbm backend done starting\n", 0, 0, 0 );
 
   return( 0 );
 
diff --git a/ldap/servers/slapd/back-ldbm/uniqueid2entry.c b/ldap/servers/slapd/back-ldbm/uniqueid2entry.c
index 84d8c4e..00972ca 100644
--- a/ldap/servers/slapd/back-ldbm/uniqueid2entry.c
+++ b/ldap/servers/slapd/back-ldbm/uniqueid2entry.c
@@ -35,7 +35,7 @@ uniqueid2entry(
 	IDList			*idl = NULL;
 	struct backentry	*e = NULL;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> uniqueid2entry \"%s\"\n", uniqueid,
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> uniqueid2entry \"%s\"\n", uniqueid,
 		   0, 0 );
 #ifdef UUIDCACHE_ON 
 	e = cache_find_uuid(&inst->inst_cache, uniqueid);
@@ -78,6 +78,6 @@ ext:
 		slapi_ch_free( (void**)&idl);
 	}
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= uniqueid2entry %p\n", e, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= uniqueid2entry %p\n", e, 0, 0 );
 	return( e );
 }
diff --git a/ldap/servers/slapd/back-ldbm/upgrade.c b/ldap/servers/slapd/back-ldbm/upgrade.c
index 6953117..762065b 100644
--- a/ldap/servers/slapd/back-ldbm/upgrade.c
+++ b/ldap/servers/slapd/back-ldbm/upgrade.c
@@ -147,7 +147,7 @@ check_db_version( struct ldbminfo *li, int *action )
     value = lookup_dbversion( ldbmversion, DBVERSION_TYPE | DBVERSION_ACTION );
     if ( !value )
     {
-        LDAPDebug( LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
            "ERROR: Database version mismatch (expecting "
            "'%s' but found '%s' in directory %s)\n",
             LDBM_VERSION, ldbmversion, li->li_directory );
@@ -231,7 +231,7 @@ check_db_inst_version( ldbm_instance *inst )
     value = lookup_dbversion( ldbmversion, DBVERSION_TYPE | DBVERSION_ACTION );
     if ( !value )
     {
-        LDAPDebug( LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
            "ERROR: Database version mismatch (expecting "
            "'%s' but found '%s' in directory %s)\n",
             LDBM_VERSION, ldbmversion, inst->inst_dir_name );
@@ -307,7 +307,7 @@ adjust_idl_switch(char *ldbmversion, struct ldbminfo *li)
         if (!idl_get_idl_new())   /* config: old idl */
         {
             replace_ldbm_config_value(CONFIG_IDL_SWITCH, "new", li);
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "Warning: Dbversion %s does not meet nsslapd-idl-switch: \"old\"; "
                 "nsslapd-idl-switch is updated to \"new\"\n", ldbmversion, 0, 0);
         }
@@ -320,7 +320,7 @@ adjust_idl_switch(char *ldbmversion, struct ldbminfo *li)
         if (idl_get_idl_new())   /* config: new */
         {
             replace_ldbm_config_value(CONFIG_IDL_SWITCH, "old", li);
-            LDAPDebug(LDAP_DEBUG_ANY, 
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                 "Warning: Dbversion %s does not meet nsslapd-idl-switch: \"new\"; "
                 "nsslapd-idl-switch is updated to \"old\"\n",
                 ldbmversion, 0, 0);
@@ -328,7 +328,7 @@ adjust_idl_switch(char *ldbmversion, struct ldbminfo *li)
     }
     else
     {
-         LDAPDebug(LDAP_DEBUG_ANY, 
+         LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                    "Warning: Dbversion %s is not supported\n", 
                    ldbmversion, 0, 0);
          rval = -1;
@@ -357,7 +357,7 @@ int ldbm_upgrade(ldbm_instance *inst, int action)
         rval = dblayer_update_db_ext(inst, LDBM_SUFFIX_OLD, LDBM_SUFFIX);
         if (0 == rval)
         {
-            LDAPDebug(LDAP_DEBUG_ANY, "ldbm_upgrade: "
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm_upgrade: "
                       "Upgrading instance %s supporting bdb %d.%d "
                       "was successfully done.\n",
                       inst->inst_name, DB_VERSION_MAJOR, DB_VERSION_MINOR);
@@ -390,7 +390,7 @@ static int upgrade_db_3x_40(backend *be)
 
     static char* indexes_modified[] = {"parentid", "numsubordinates", NULL};
 
-    LDAPDebug( LDAP_DEBUG_ANY, "WARNING: Detected a database older than this server, upgrading data...\n",0,0,0);
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "WARNING: Detected a database older than this server, upgrading data...\n",0,0,0);
 
     dblayer_txn_init(li,&txn);
     ret = dblayer_txn_begin(li,NULL,&txn);
@@ -430,9 +430,9 @@ error:
         }
     }
     if (0 == ret) {
-        LDAPDebug( LDAP_DEBUG_ANY, "...upgrade complete.\n",0,0,0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "...upgrade complete.\n",0,0,0);
     } else {
-        LDAPDebug( LDAP_DEBUG_ANY, "ERROR: Attempt to upgrade the older database FAILED.\n",0,0,0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ERROR: Attempt to upgrade the older database FAILED.\n",0,0,0);
     }
     return ret;
 }
